Bug 549034 - small patch to fix iksemel compile in fedora-arm
Summary: small patch to fix iksemel compile in fedora-arm
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iksemel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-20 02:57 UTC by Itamar Reis Peixoto
Modified: 2010-04-21 21:53 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-14 01:33:10 UTC


Attachments (Terms of Use)
disable make check for fedora-arm (796 bytes, patch)
2009-12-20 02:57 UTC, Itamar Reis Peixoto
no flags Details | Diff
Patch to resolve test failures (1.95 KB, patch)
2010-03-24 17:14 UTC, Quentin Armitage
no flags Details | Diff

Description Itamar Reis Peixoto 2009-12-20 02:57:33 UTC
Created attachment 379427 [details]
disable make check for fedora-arm

disable make check for fedora-arm

-%ifnarch ppc sparcv9
+%ifnarch ppc sparcv9 armv5te


Can you commit this into F-12 and devel ?

Comment 1 Jeffrey C. Ollie 2009-12-22 14:28:25 UTC
Rather than continuing to paper over the test failures, I'd rather see the tests fixed for these other architectures.

Comment 2 Bug Zapper 2010-03-15 13:38:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Quentin Armitage 2010-03-24 17:14:00 UTC
Created attachment 402360 [details]
Patch to resolve test failures

The test failure is in tst-ikstack. The failure occurs on architectures where doubles are 64bit aligned, but pointers are smaller, hence ppc, sparc and arm have the problems.

The issue is that the ikstack and ikschunk structures are not necessarily aligned to 64bits, and in fact ikschunk, with 32bit pointers, is 20 bytes long, and hence not aligned.

The patch forces alignment of the two structures, and more importantly makes the sizes of the structs multiples of the size of a double.

I have made a couple of other small changes:
i) The ALIGN macro for a pointer that was already aligned was adding DEFAULT_ALIGNMENT bytes unnecessarily. The amendment also means that the parameter to the macro is only processed once.
ii) The changing of char data[4] to char data[0] in the ikschunk struct avoids a wasted allocation of 4 bytes.

The patch presumably needs to go upstream, but there has been no activity there for 8 months now. Could the patch please be applied in Fedora pending an update from upstream.

Comment 4 Quentin Armitage 2010-03-24 17:18:12 UTC
Sorry, I forgot to mention that I have done scratch builds on the primary Koji (both Intel and PPC), and also the secondaries for sparc and arm. The builds, including the tests, were all successful.

I'm currently using F-12 on my Arm system, and so I would be grateful if the patch could be applied back that far.

Comment 5 Quentin Armitage 2010-03-26 11:38:36 UTC
Many thanks for applying the patch. Could it possibly also be applied for F-12, so that I can build it on the ARM Koji?

Comment 6 Fedora Update System 2010-03-26 12:28:06 UTC
iksemel-1.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/iksemel-1.4-2.fc13

Comment 7 Fedora Update System 2010-03-26 12:30:26 UTC
iksemel-1.4-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/iksemel-1.4-2.fc12

Comment 8 Fedora Update System 2010-03-26 12:35:46 UTC
iksemel-1.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/iksemel-1.4-2.fc11

Comment 9 Itamar Reis Peixoto 2010-03-26 13:20:03 UTC
please remember to send patches to upstream!

Comment 10 Fedora Update System 2010-03-26 13:22:38 UTC
iksemel-1.4-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/iksemel-1.4-2.el5

Comment 11 Jeffrey C. Ollie 2010-03-26 13:49:40 UTC
(In reply to comment #9)
> please remember to send patches to upstream!    

I'll send them upstream, but upstream development seems pretty dead.

Comment 13 Fedora Update System 2010-03-27 00:55:56 UTC
iksemel-1.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iksemel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/iksemel-1.4-2.fc11

Comment 14 Fedora Update System 2010-03-27 01:01:48 UTC
iksemel-1.4-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iksemel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/iksemel-1.4-2.fc12

Comment 15 Fedora Update System 2010-03-27 02:30:55 UTC
iksemel-1.4-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iksemel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/iksemel-1.4-2.el5

Comment 16 Fedora Update System 2010-04-01 19:29:27 UTC
iksemel-1.4-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update iksemel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/iksemel-1.4-2.fc13

Comment 17 Fedora Update System 2010-04-14 01:33:05 UTC
iksemel-1.4-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-04-14 01:40:23 UTC
iksemel-1.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-04-15 15:48:46 UTC
iksemel-1.4-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-04-21 21:53:01 UTC
iksemel-1.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.